import random
import pickle
import os

#Создание случайного множества
random_set = {round(random.uniform(-20, 10), 2) for _ in range(40)}
print("\nСоздано случайное множество:", random_set)

#Создание бинарного файла
filename = input("\nВведите имя бинарного файла: ")
filename = filename.replace(" ", "")

#Запись в файл
fp=open(os.getcwd()+ '/TEMA6/' + filename, 'wb')
pickle.dump(random_set,fp)
fp.close()

#Удаление множества из памяти
del random_set
print("\nМножество удалено из памяти:", dir())

#Восстановление множества из бинарного файла
fp=open(os.getcwd()+ '/TEMA6/' + filename, 'rb')
random_set = pickle.load(fp)
fp.close()
print("\nМножество восстановлено из бинарного файла:", random_set)

#Вычисление среднего и вывод на экран
sred=round(sum(random_set)/len(random_set),2)
print(f'\nПо {len(random_set)} среднее = {sred}')